The BOOST_PP_SLOT macro retrieves a value previously evaluated by BOOST_PP_ASSIGN_SLOT.

#### Usage

BOOST_PP_SLOT(i)

#### Arguments

i
  The slot index to be retrieved. This value must be in the range of 1 to BOOST_PP_LIMIT_SLOT_COUNT.

#### Remarks

Prior to use, the slot at index i must have been assigned with BOOST_PP_ASSIGN_SLOT.

#### See Also

- BOOST_PP_ASSIGN_SLOT
- BOOST_PP_LIMIT_SLOT_COUNT

#### Requirements

Header: <boost/preprocessor/slot/slot.hpp>

#### Sample Code

    #include <boost/preprocessor/slot/slot.hpp>

    #define X() 4

    #define BOOST_PP_VALUE 1 + 2 + 3 + X()
    #include BOOST_PP_ASSIGN_SLOT(1)

    #undef X

    BOOST_PP_SLOT(1) // expands to 10